
/*
#ifdef __cplusplus
extern "C" {
#endif

int inithaiku();
char *makehaiku();

#pragma hdrstop
#ifdef __cplusplus
}
#endif
*/

#ifndef _Haikulib_
#define _Haikulib_
class CDictlist : public CStringArray
{
public:
	CDictlist();
	CDictlist(CString dictname);
	CString* Getrandword(int maxsylls, int *cursylls, CString* vowels, CString* wordbuf);
private:
	int syllableCount(CString *word, CString vowels);
public: 
	// virtual ~CDictlist();
};

class CHaiku : public CObject
{
public: CHaiku();
		sentence();
		CString* sentence(CString* format, unsigned int sylls);
		CString*  CHaiku::makehaiku();
		CString* m_line1;
		CString* m_line2;
		CString* m_line3;
	int error;
private:
	CDictlist* m_articles;
	CDictlist* m_verbs;
	CDictlist* m_possessives;
	CDictlist* m_prepositions;
	CDictlist* m_nouns;
	int m_sy_total;
	CDictlist* m_modifiers;
	CString* m_vowels;
	CString* m_structure5;
	CString* m_structure7;
	virtual ~CHaiku();
};
#endif